import request from '@/utils/request'
import { URL } from '@/config'

export function getTree(params) {
  return request({
    url: URL.shop.base.store.category.getTree,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.shop.base.store.category.doEdit,
    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.shop.base.store.category.doDelete,
    method: 'post',
    data,
  })
}

export function GetStoreClassify(data) {
  return request({
    url: URL.shop.base.store.category.GetStoreClassify,
    method: 'get',
    data,
  })
}

export function GetCategoryList(data) {
  return request({
    url: URL.shop.base.store.category.categoryList,
    method: 'post',
    data,
  })
}
